Subject: Re: bug#61730: 30.0.50; Compiler warnings for delq and delete

From: Michael Heerdegen <[email-masked]>
Date: Sat, 20 May 2023 03:57:12 +0200

Mattias Engdegård <[email-masked]> writes:

> On master there is now a function declaration and property,
> `important-return-value`, that is used to mark functions that the
> compiler should warn about when called without their value being used.
>
> I haven't set the property on delq and delete yet; about half of the
> cases seem to be false positives but it may be worth the effort to
> clean up those too.
> I did fix a correct but somewhat daft use of cl-delete in python.el
> and enabled the warning for that function.

Thanks for that.

The delq and delete warnings are enabled now, and we got a question
about this in emacs-help (by T.V. Raman) that I tried to answer, but it
was about a (slightly doubtful) false positive.

Let's see if there is more outcome.

Michael.